Skip to navigation

Push a CDR to a partner

Sends one of your CDRs to a roaming partner now, as OCPI 2.3.0. Nothing is pushed automatically; partner CDRs cannot be pushed (409).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cdr_idstringRequired1-39 characters
OCPI CDR id.

Request

This endpoint expects an object.
partner_idintegerRequired>=1

Response

What the partner answered.
partner_idinteger
moduleenum or any
object_idstring
statusenum or any
duration_msinteger
http_statusinteger or nullOptional
ocpi_status_codeinteger or nullOptional
errorstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error